package com.fufan.mtsaas.modules.sysmgr.journal.model;

import com.baomidou.mybatisplus.annotations.TableId;
import com.baomidou.mybatisplus.annotations.TableName;
import com.fasterxml.jackson.annotation.JsonFormat;

import java.util.Date;

/**
 * 操作员功能日志表
 *
 * @Author Liby
 * @Create 2018-04-20
 * */
@TableName("AI_STUFF_LOG")
public class AiStuffLog {
    /**
     * 消息ID
     * */
    @TableId("SYS_ID")
    private String sysId;
    /**
     * 客户ID
     * */
    private String custId;
    /**
     * 公司员工号登陆账号
     * */
    private String staffLoginId;
    /**
     * 机构ID
     * */
    private String branchId;
    /**
     * 功能编码
     * */
    private String funcCode;
    /**
     * 来源
     * */
    private String sysReqsrc;
    /**
     * 操作人员IP
     * */
    private String sysIp;
    /**
     * 操作员
     * */
    private String sysOper;
    /**
     * 操作时间
     * */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    private Date sysDatetime;
    /**
     * 操作人员IP归属地
     * */
    private String sysIpBelongsto;

    public String getSysId() {
        return sysId;
    }

    public void setSysId(String sysId) {
        this.sysId = sysId;
    }

    public String getSysOper() {
        return sysOper;
    }

    public void setSysOper(String sysOper) {
        this.sysOper = sysOper;
    }

    public Date getSysDatetime() {
        return sysDatetime;
    }

    public void setSysDatetime(Date sysDatetime) {
        this.sysDatetime = sysDatetime;
    }

    public String getCustId() {
        return custId;
    }

    public void setCustId(String custId) {
        this.custId = custId;
    }

    public String getStaffLoginId() {
        return staffLoginId;
    }

    public void setStaffLoginId(String staffLoginId) {
        this.staffLoginId = staffLoginId;
    }

    public String getBranchId() {
        return branchId;
    }

    public void setBranchId(String branchId) {
        this.branchId = branchId;
    }

    public String getFuncCode() {
        return funcCode;
    }

    public void setFuncCode(String funcCode) {
        this.funcCode = funcCode;
    }

    public String getSysReqsrc() {
        return sysReqsrc;
    }

    public void setSysReqsrc(String sysReqsrc) {
        this.sysReqsrc = sysReqsrc;
    }

    public String getSysIp() {
        return sysIp;
    }

    public void setSysIp(String sysIp) {
        this.sysIp = sysIp;
    }

    public String getSysIpBelongsto() {
        return sysIpBelongsto;
    }

    public void setSysIpBelongsto(String sysIpBelongsto) {
        this.sysIpBelongsto = sysIpBelongsto;
    }

    @Override
    public String toString() {
        return "AiStuffLog{" +
                "sysId='" + sysId + '\'' +
                ", custId='" + custId + '\'' +
                ", staffLoginId='" + staffLoginId + '\'' +
                ", branchId='" + branchId + '\'' +
                ", funcCode='" + funcCode + '\'' +
                ", sysReqsrc='" + sysReqsrc + '\'' +
                ", sysIp='" + sysIp + '\'' +
                ", sysOper='" + sysOper + '\'' +
                ", sysDatetime=" + sysDatetime +
                ", sysIpBelongsto='" + sysIpBelongsto + '\'' +
                '}';
    }
}
